Bug Hunting Session
Bug 71616 - [EasyHack] Elements dock: Better display of scalable braces
Summary: [EasyHack] Elements dock: Better display of scalable braces
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Thomas Arnhold
URL:
Whiteboard: target:4.4.0 target:4.3.0.0.beta2 tar...
Keywords:
Depends on:
Blocks: 68871
  Show dependency treegraph
 
Reported: 2013-11-14 16:27 UTC by Thomas Arnhold
Modified: 2014-05-29 14:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Brackets difference (57.42 KB, image/png)
2013-11-14 16:27 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-11-14 16:27:26 UTC
Created attachment 89203 [details]
Brackets difference

The scalable braces in the Brackets menu are far to thin displayed.

Look at the screenshot:

"Operator Brackets" is very good displayed, but "Operator Brackets (Scalable)" is far too thin.

The old elements windows did this far better, by showing that there are more items within the bracket. Currently the scalable bracket icons in the Elements dock are less comprehensive.

Maybe the placeholder rectangle could be increased in height or the symbol in the menu gets generated by two rectangles:

left langle binom{<?>}{<?>} right rangle

It would be nice if the non-scalable and scalable brackets are better distinguishable.
Comment 1 Commit Notification 2014-05-28 07:47:57 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7c8b4adb334d6dbab4fd35b885b6b6b4bb83151

Resolves: fdo#71616 Elements dock: Better display of scalable braces



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-05-28 07:48:13 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1483a478adb2ad535f665b53ba39ab8664bc34e7

Related fdo#71616: Set correct BaseSize



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-05-28 07:49:46 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e90d25337a413b3e69afe043f637330f25dcf06f&h=libreoffice-4-3

Resolves: fdo#71616 Elements dock: Better display of scalable braces


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-28 07:49:59 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36f1f514963f3bbfe77893745b71b4cac5a966b5&h=libreoffice-4-3

Related fdo#71616: Set correct BaseSize


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-05-28 12:42:19 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b521c754cba4ef96cf02e0d8913ffcf14fe168d4

Related fdo#71616: Fix scrolling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-05-28 12:44:52 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f98d6b9dd51e7028906150bff3a0b849d484a5f3&h=libreoffice-4-3

Related fdo#71616: Fix scrolling


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-29 08:04:15 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a21807a4ddaaba511e1a0bbd13301b0bc518019&h=libreoffice-4-2

Related fdo#71616: Set correct BaseSize


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-29 14:09:54 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=519e4381a0339b638b5fff5141bff31c0f59ffb0&h=libreoffice-4-2

Resolves: fdo#71616 Elements dock: Better display of scalable braces


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.